> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete the given item (product or service).



## OpenAPI

````yaml api-reference/openapi.json delete /api/items/{id}
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/items/{id}:
    delete:
      tags:
        - Items
      summary: Delete the given item (product or service).
      operationId: ItemsController_deleteItem
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
        - name: id
          required: true
          in: path
          description: The item id
          schema:
            type: number
      responses:
        '200':
          description: The item has been successfully deleted.
        '400':
          description: >-
            Cannot delete item. Possible error types:
            ITEM_HAS_ASSOCIATED_TRANSACTINS,
            ITEM_HAS_ASSOCIATED_INVENTORY_ADJUSTMENT, etc.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ItemApiErrorResponseDto'
        '404':
          description: The item not found.
components:
  schemas:
    ItemApiErrorResponseDto:
      type: object
      properties:
        errors:
          description: Array of error details
          type: array
          items:
            $ref: '#/components/schemas/ItemErrorResponseDto'
      required:
        - errors
    ItemErrorResponseDto:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
          example: 400
        type:
          type: string
          description: Error type identifier
          enum:
            - ITEM_NAME_EXISTS
            - ITEM_CATEOGRY_NOT_FOUND
            - COST_ACCOUNT_NOT_COGS
            - COST_ACCOUNT_NOT_FOUMD
            - SELL_ACCOUNT_NOT_FOUND
            - SELL_ACCOUNT_NOT_INCOME
            - INVENTORY_ACCOUNT_NOT_FOUND
            - INVENTORY_ACCOUNT_NOT_INVENTORY
            - ITEMS_HAVE_ASSOCIATED_TRANSACTIONS
            - ITEM_HAS_ASSOCIATED_TRANSACTINS
            - ITEM_HAS_ASSOCIATED_INVENTORY_ADJUSTMENT
            - ITEM_CANNOT_CHANGE_INVENTORY_TYPE
            - TYPE_CANNOT_CHANGE_WITH_ITEM_HAS_TRANSACTIONS
            - INVENTORY_ACCOUNT_CANNOT_MODIFIED
            - PURCHASE_TAX_RATE_NOT_FOUND
            - SELL_TAX_RATE_NOT_FOUND
            - INCOME_ACCOUNT_REQUIRED_WITH_SELLABLE_ITEM
            - COST_ACCOUNT_REQUIRED_WITH_PURCHASABLE_ITEM
            - NOT_FOUND
            - ITEMS_NOT_FOUND
          example: ITEM_NAME_EXISTS
        message:
          type: string
          description: Human-readable error message
          example: The item name is already exist.
          nullable: true
        payload:
          type: object
          description: Additional error payload data
          nullable: true
      required:
        - statusCode
        - type

````